'use strict';

const _commonjsHelpers = require('./_commonjsHelpers.cjs');
const withSelector = require('../node_modules/.pnpm/use-sync-external-store@1.2.2_react@19.2.0/node_modules/use-sync-external-store/shim/with-selector.cjs');

var withSelectorExports = withSelector.__require();
const useSyncExternalStoreExports = /*@__PURE__*/_commonjsHelpers.getDefaultExportFromCjs(withSelectorExports);

module.exports = useSyncExternalStoreExports;
